package com.fs.watch.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 设备物料信息对象 device_materials
 *
 * @author fs
 * @date 2024-08-26
 */
public class DeviceMaterials extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 公司id */
//    @Excel(name = "公司id")
    private Long companyId;

    /** 设备id */
    @Excel(name = "设备id")
    private String deviceId;

    /** 物料id */
//    @Excel(name = "物料id")
    private Long materialsId;

    /** 物料名称 */
    @Excel(name = "物料名称")
    private String materialsName;

    /** 现有数量 */
    @Excel(name = "现有数量")
    private Long availableNum;

    /** 已使用数量 */
    @Excel(name = "已使用数量")
    private Long usedNum;

    /** 是否已删除 */
//    @Excel(name = "是否已删除")
    private Long isDel;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }
    public void setDeviceId(String deviceId)
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId()
    {
        return deviceId;
    }
    public void setMaterialsId(Long materialsId)
    {
        this.materialsId = materialsId;
    }

    public Long getMaterialsId()
    {
        return materialsId;
    }
    public void setMaterialsName(String materialsName)
    {
        this.materialsName = materialsName;
    }

    public String getMaterialsName()
    {
        return materialsName;
    }
    public void setAvailableNum(Long availableNum)
    {
        this.availableNum = availableNum;
    }

    public Long getAvailableNum()
    {
        return availableNum;
    }
    public void setUsedNum(Long usedNum)
    {
        this.usedNum = usedNum;
    }

    public Long getUsedNum()
    {
        return usedNum;
    }
    public void setIsDel(Long isDel)
    {
        this.isDel = isDel;
    }

    public Long getIsDel()
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("companyId", getCompanyId())
            .append("deviceId", getDeviceId())
            .append("materialsId", getMaterialsId())
            .append("materialsName", getMaterialsName())
            .append("availableNum", getAvailableNum())
            .append("usedNum", getUsedNum())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .toString();
    }
}
